# Class CIM_J2eeServletStats
extends CIM_J2eeStatistic

The CIM_J2eeServletStats class defines the performance statistics that are provided by a Servlet component.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_J2eeStatistic
|
+--CIM_J2eeServletStats

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_J2eeServletStats class defines the performance statistics that are provided by a Servlet component.
UMLPackagePath | string | CIM::Application::J2eeAppServerStats
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ServiceTime | datetime |
Description | string | The execution time of the servlet's service method. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.32.1.1 getServiceTime|V1.0
ServiceTimeMinTime | datetime |
Description | string | The minimum execution time of the servlet's service method since the beginning of this measurement. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.3 getMinTime|V1.0
ServletTimeMaxTime | datetime |
Description | string | The maximum execution time of the servlet's service method since the beginning of this measurement. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.2 getMaxTime|V1.0
ServletTimeTotalTime | datetime |
Description | string | The total execution time of the servlet's service method since the beginning of this measurement. Dividing ServletTimeTotalTime by ServletTime will provide the average time spent executing the servlet's service method. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.6.1.4 getTotalTime|V1.0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
GetLastSampleTime | uint64 | CIM_J2eeStatistic
GetStartTime | uint64 | CIM_J2eeStatistic
ResetSelectedStats | uint32 | CIM_StatisticalData